# Masakari commands

Masakari commands are CLI interface.

## notification create

Create notification.

    openstack notification create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <type>
        <hostname>
        <generated_time>
        <payload>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

type

  Type of failure. The supported options are: COMPUTE_HOST, VM, PROCESS.

hostname

  Hostname of notification.

generated_time

  Timestamp for notification. e.g. 2016-01-01T01:00:00.000

payload

  JSON string about failure event.

This command is provided by the python-masakariclient plugin.

## notification list

List notifications.

    openstack notification list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--limit <limit>]
        [--marker <id>]
        [--sort <key>[:<direction>]]
        [--filters <"key1=value1;key2=value2...">]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Limit the number of notifications returned

--marker <id>

  Only return notifications that appear after the given notification ID

--sort <key>[:<direction>]

  Sorting option which is a string containing a list of keys separated by commas. Each key can be optionally appended by a sort direction (:asc or :desc). The valid sort keys are: [‘type’, ‘created_at’, ‘updated_at’]

--filters <"key1=value1;key2=value2...">

  Filter parameters to apply on returned notifications. This can be specified multiple times, or once with parameters separated by a semicolon. The valid filter keys are: [‘source_host_uuid’, ‘type’, ‘status’, generated-since]

This command is provided by the python-masakariclient plugin.

## notification show

Show notification details.

    openstack notification show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <notification>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

notification

  UUID of notification to display

This command is provided by the python-masakariclient plugin.

## notification vmove list

List VMoves.

    openstack notification vmove list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--limit <limit>]
        [--marker <id>]
        [--sort <key>[:<direction>]]
        [--filters <"key1=value1;key2=value2...">]
        <notification_id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Limit the number of vmoves returned

--marker <id>

  Only return vmoves that appear after the given vmove ID

--sort <key>[:<direction>]

  Sorting option which is a string containing a list of keys separated by commas. Each key can be optionally appended by a sort direction (:asc or :desc). The valid sort keys are: [‘type’, ‘status’, ‘start_time’, ‘end_time’]

--filters <"key1=value1;key2=value2...">

  Filter parameters to apply on returned vmoves. This can be specified multiple times, or once with parameters separated by a semicolon. The valid filter keys are: [‘type’, ‘status’

notification_id

  UUID of notification.

This command is provided by the python-masakariclient plugin.

## notification vmove show

Show vmove details.

    openstack notification vmove show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <notification_id>
        <vmove_id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

notification_id

  UUID of COMPUTE_NODE type notification.

vmove_id

  UUID of the VMove

This command is provided by the python-masakariclient plugin.

## segment create

Create segment.

    openstack segment create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--is_enabled <boolean>]
        [--description <description>]
        <name>
        <recovery_method>
        <service_type>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--is_enabled <boolean>

  The enabled flag of this segment. Supported after microversion 1.2.

--description <description>

  Description of segment.

name

  Name of segment.

recovery_method

  Recovery method of segment. The supported options are: auto, reserved_host, auto_priority, rh_priority.

service_type

  Service type of segment.

This command is provided by the python-masakariclient plugin.

## segment delete

Delete a segment(s).

    openstack segment delete <segment> [<segment> ...]

segment

  Name or ID of segment(s) to delete

This command is provided by the python-masakariclient plugin.

## segment host create

Create a Host.

    openstack segment host create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--reserved <reserved>]
        [--on_maintenance <on_maintenance>]
        <name>
        <type>
        <control_attributes>
        <segment_id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--reserved <reserved>

  Host reservation. The supported options are: True, False.

--on_maintenance <on_maintenance>

  Maintenance status of host. The supported options are: True, False.

name

  Name of host.

type

  Type of host.

control_attributes

  Attribute about control.

segment_id

  Name or ID of segment.

This command is provided by the python-masakariclient plugin.

## segment host delete

Delete a host.

    openstack segment host delete <segment_id> <host>

segment_id

  Name or ID of segment.

host

  Name or ID of the Host

This command is provided by the python-masakariclient plugin.

## segment host list

List Hosts.

    openstack segment host list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--limit <limit>]
        [--marker <id>]
        [--sort <key>[:<direction>]]
        [--filters <"key1=value1;key2=value2...">]
        <segment_id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Limit the number of hosts returned

--marker <id>

  Only return hosts that appear after the given host ID

--sort <key>[:<direction>]

  Sorting option which is a string containing a list of keys separated by commas. Each key can be optionally appended by a sort direction (:asc or :desc). The valid sort keys are: [‘type’, ‘name’, ‘created_at’, ‘updated_at’]

--filters <"key1=value1;key2=value2...">

  Filter parameters to apply on returned hosts. This can be specified multiple times, or once with parameters separated by a semicolon. The valid filter keys are: [‘failover_segment_id’, ‘type’, ‘on_maintenance’, ‘reserved’]

segment_id

  Name or ID of segment.

This command is provided by the python-masakariclient plugin.

## segment host show

Show host details.

    openstack segment host show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <segment_id>
        <host>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

segment_id

  Name or ID of segment.

host

  Name or ID of the Host

This command is provided by the python-masakariclient plugin.

## segment host update

Update a Host.

    openstack segment host update
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--reserved <reserved>]
        [--on_maintenance <on_maintenance>]
        [--name <name>]
        [--type <type>]
        [--control_attributes <control_attributes>]
        <segment_id>
        <host>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--reserved <reserved>

  Host reservation. The supported options are: True, False.

--on_maintenance <on_maintenance>

  Maintenance status of host. The supported options are: True, False.

--name <name>

  Name of host.

--type <type>

  Type of host.

--control_attributes <control_attributes>

  Attributes about control.

segment_id

  Name or ID of segment.

host

  Name or ID of the Host

This command is provided by the python-masakariclient plugin.

## segment list

List segments.

    openstack segment list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--limit <limit>]
        [--marker <id>]
        [--sort <key>[:<direction>]]
        [--filters <"key1=value1;key2=value2...">]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Limit the number of segments returned

--marker <id>

  Only return segments that appear after the given segment ID

--sort <key>[:<direction>]

  Sorting option which is a string containing a list of keys separated by commas. Each key can be optionally appended by a sort direction (:asc or :desc). The valid sort keys are: [‘type’, ‘name’, ‘created_at’, ‘updated_at’]

--filters <"key1=value1;key2=value2...">

  Filter parameters to apply on returned segments. This can be specified multiple times, or once with parameters separated by a semicolon. The valid filter keys are: [‘recovery_method’, ‘service_type’]

This command is provided by the python-masakariclient plugin.

## segment show

Show segment details.

    openstack segment show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <segment>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

segment

  Segment to display (name or ID)

This command is provided by the python-masakariclient plugin.

## segment update

Update a segment.

    openstack segment update
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--name <name>]
        [--recovery_method <recovery_method>]
        [--service_type <service_type>]
        [--is_enabled <boolean>]
        [--description <description>]
        <segment>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--name <name>

  Name of segment.

--recovery_method <recovery_method>

  Recovery method of segment. The supported options are: auto, reserved_host, auto_priority, rh_priority

--service_type <service_type>

  Service type of segment.

--is_enabled <boolean>

  The enabled flag of this segment. Supported after microversion 1.2.

--description <description>

  Description of segment.

segment

  Name or ID of the segment to update.

This command is provided by the python-masakariclient plugin.

this page last updated: 2026-03-26 21:31:02

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug